### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
Swaption::arguments Class Reference

Arguments for swaption calculation More...

`#include <ql/instruments/swaption.hpp>`

Inheritance diagram for Swaption::arguments:
[legend]

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

boost::shared_ptr< VanillaSwap > | swap
Settlement::Type | settlementType

## Detailed Description

Arguments for swaption calculation